
////////////////////////////////////////////////////////////////////////////////////////////
create table tipoDelito(
    idTipoDelito int not null auto_increment,
    hash varchar(50),
    nombreDelito varchar(50),
    estadoDelito enum('Activo','Inactivo'),
    primary key (idTipoDelito)
)engine=InnoDB CHARSET=latin1;

create table ciudad(
    idCiudad int not null auto_increment,
    hash varchar(50),
    nombreCiudad varchar(50),
    estadoCiudad enum('Activo','Inactivo'),
    primary key (idCiudad)
)engine=InnoDB CHARSET=latin1;


create table estado(
    idEstado int not null auto_increment,
    hash varchar(50),
    nombreEstado varchar(50),
    primary key (idEstado)
)engine=InnoDB CHARSET=latin1;

create table pais(
    idPais int not null auto_increment,
    hash varchar(50),
    nombrePais varchar(50),
    estadoPais enum ('Activo','Inactivo'),
    primary key (idPais)
)engine=InnoDB CHARSET=latin1;

create table usuarioInterno(
    idUsuario int not null auto_increment,
    hash varchar(50),
    nombreU varchar(50),
    appU varchar(50),
    apmU varchar(50),
    ciU varchar(10),
    generoU enum('Femenino','Masculino'),
    usuarioU blob,
    contraU blob,
    estado enum ('Activo','Inactivo'),
    primary key (idUsuario)
)engine=InnoDB CHARSET=latin1;

create table delincuente(
    idDelincuente int not null auto_increment,
    hashD varchar(50),
    nombre  varchar(50),
    app varchar(50),
    apm varchar(50),
    genero enum('Femenino','Masculino'),
    ci varchar(20),
    foto varchar(50),
    fecha date,
    hora time,
    estadoDelincuente enum('Detenido','Profugo','Muerto'),
    idUsuario int,
    idPais int,
    idEstado int,
    primary key(idDelincuente),
    constraint fkd_Usuario foreign key(idUsuario) references usuarioInterno(idUsuario),
    constraint fkd_Pais foreign key(idPais) references pais(idPais),
    constraint fkd_estado foreign key(idEstado) references estado(idEstado)
)engine=InnoDB CHARSET=latin1;

create table delitosCometidos(
    idTipoDelito int not null,
    idDelincuente int not null,
    fecha date,
    idCiudad int,
    idUsuario int,
    constraint pk_dc primary key(idTipoDelito,idDelincuente),
    constraint fk1_dc foreign key(idTipoDelito) references tipoDelito(idTipoDelito),
    constraint fk2_dc foreign key(idDelincuente) references delincuente(idDelincuente),
    constraint fk3_dc foreign key(idCiudad) references ciudad(idCiudad),
    constraint fk4_dc foreign key(idUsuario) references usuarioInterno(idUsuario)
)engine=InnoDB CHARSET=latin1;

create table policiaExterna(
    idPoliciaE int not null auto_increment,
    hashPE varchar(50),
    nombrePE varchar(50),
    estadoPE enum('Activo','Inactivo'),
    primary key (idPoliciaE)
)engine=InnoDB CHARSET=latin1;

create table usuarioExterno(
    idUsuarioE int not null auto_increment,
    hashE varchar(50),
    usuarioE blob,
    contraE blob,
    hora time,
    fecha date,
    estadoE enum ('Activo','Inactivo'),
    idPoliciaE int,
    primary key (idUsuarioE),
    constraint fk1_ue foreign key(idPoliciaE) references policiaExterna(idPoliciaE)
)engine=InnoDB CHARSET=latin1;


