<?php

/**
 * @author joker
 * @copyright 2018
 */


date_default_timezone_set("America/La_Paz");
 
require_once("model/Persona.cls");
require_once("model/PersonaEscuela.cls");
require_once("model/Escuela.cls");
require_once("model/TipoEscuela.cls");

require_once("control/lib/fpdf.php");

//$oUtil = new Util;


class PDF extends FPDF
{
    // Cabecera de pgina
    public $titulo;
    public $subtitulo;
    public $subtitulo2;

    function SetTitulo($_titulo){
        $this->titulo= $_titulo;
    }
    function SetSubTitulo($_subtitulo){
        $this->subtitulo= $_subtitulo;
    }
    function SetSubTitulo2($_subtitulo){
        $this->subtitulo2= $_subtitulo;
    }

    function GetTitulo(){
        return $this->titulo;
    }
    function GetSubTitulo(){
        return $this->subtitulo;
    }
    function GetSubTitulo2(){
        return $this->subtitulo2;
    }

    function Header()
    {
        
        // Logo
        $this->Image('view/img/cosecha.png',15,8,20);
        // Arial bold 15
        $this->SetFont('Arial','B',15); 
        $this->SetFillColor(14,120,50); //Para establecerun color de relleno
        // Width, Height, Texto, Border, 0, Align (C,L,R), relleno (bool)       
        $this->Cell(0,8, $this->GetTitulo() , 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Arial','B',10);
        $this->Cell(0,8,$this->GetSubTitulo() , 0, 0, 'C');
        $this->Ln();
        $this->SetFont('Arial','B',15);
        $this->Cell(0,8, $this->GetSubTitulo2(), 0, 0, 'C');
        $this->Ln();
        
        $nroPag = $this->PageNo();
        if ($nroPag > 1){
            
            $this->cabeceraHorizontal(); 
        }
        
        
        //Put the watermark for Horizontal Page
        $this->SetFont('Arial','B',50);
        $this->SetTextColor(207,225,244);
        $this->RotatedText(55,160,'Sistema de Gestin',45);
        
        $this->SetFont('Arial','B',40);
        $this->SetTextColor(207,225,244);
        $this->RotatedText(105,160,'La Cosecha',45);
    }
    
    // Pie de pgina
    function Footer()
    {
        // Posicin: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial','I',8);
        // Nmero de pgina
        $this->SetTextColor(128,128,128);
        $totalPaginas = "{nb}";
        $this->Cell(0,10,'Pgina '. $this->PageNo() . ' de ' . $totalPaginas, 0,0,'C');
    }
    
    /** Init Rotator **/
    var $angle=0;
    function Rotate($angle,$x=-1,$y=-1)
    {
        if($x==-1)
            $x=$this->x;
        if($y==-1)
            $y=$this->y;
        if($this->angle!=0)
            $this->_out('Q');
        $this->angle=$angle;
        if($angle!=0)
        {
            $angle*=M_PI/180;
            $c=cos($angle);
            $s=sin($angle);
            $cx=$x*$this->k;
            $cy=($this->h-$y)*$this->k;
            $this->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm',$c,$s,-$s,$c,$cx,$cy,-$cx,-$cy));
        }
    }
    
    function _endpage()
    {
        if($this->angle!=0)
        {
            $this->angle=0;
            $this->_out('Q');
        }
        parent::_endpage();
    }
    /** Ende Rotator **/
    
    function RotatedText($x,$y,$txt,$angle)
    {
        //Text rotated around its origin
        $this->Rotate($angle,$x,$y);
        $this->Text($x,$y,$txt);
        $this->Rotate(0);
    }
    
    function RotatedImage($file,$x,$y,$w,$h,$angle)
    {
        //Image rotated around its upper-left corner
        $this->Rotate($angle,$x,$y);
        $this->Image($file,$x,$y,$w,$h);
        $this->Rotate(0);
    }
    
    /** Init Tabla **/
    function cabeceraHorizontal()
    {
        //$this->SetXY(10, 10);
        $this->SetFont('Arial','B',10);
        
        $this->SetDrawColor(2,62,122);
        $this->SetFillColor(0,80,161);//Fondo de celda
        $this->SetTextColor(255, 255, 255); //Letra color blanco
        
        $this->Cell(7,7, '', 0, 0 , 'C' );
        $this->Cell(10,7, 'Nro', 1, 0 , 'C', true );
        $this->Cell(30,7, 'Escuela', 1, 0 , 'C', true );
		$this->Cell(30,7, 'Dia', 1, 0 , 'C', true );
        $this->Cell(30,7, 'Hora', 1, 0 , 'C', true );
        $this->Cell(20,7, 'Lugar', 1, 0 , 'C', true );
        $this->Cell(20,7, 'Aula', 1, 0 , 'C', true );
        $this->Ln();      
        //$this->Cell(24,7, 'Monto', 1, 20 , 'L', true );
    }
 
    function datosHorizontal($datos)
    {
        
          
    
        $this->SetFont('Arial','B',10);
        
        $this->SetDrawColor(2,62,122);
        $this->SetFillColor(0,80,161);//Fondo de celda
        $this->SetTextColor(255, 255, 255); //Letra color blanco
        
        $this->Cell(7,7, '', 0, 0 , 'C' );
        $this->Cell(10,7, 'Nro', 1, 0 , 'C', true );
        $this->Cell(30,7, 'Escuela', 1, 0 , 'C', true );
		$this->Cell(30,7, 'Dia', 1, 0 , 'C', true );
        $this->Cell(30,7, 'Hora', 1, 0 , 'C', true );
        $this->Cell(20,7, 'Lugar', 1, 0 , 'C', true );
        $this->Cell(20,7, 'Aula', 1, 0 , 'C', true );
        $this->Ln();      
        //$this->SetXY(10,17);
        $this->SetFont('Arial','',10);
        //Siendo un array tipo: $datos => $fila
        //Significa que $datos tiene 'nombre' 'apellido' 'matricula'
        //$fila tiene cada valor de los antes mencionados
        
        $this->SetDrawColor(2,62,122);
        $this->SetTextColor(0,0,0);//Fondo verde de celda
        
        $c = 0;
        foreach($datos as $fila)
        {
            $c++;
            $this->SetDrawColor(119,119,119);
            $this->SetTextColor(0,0,0);
            
            $height = 7;
            	           
            $this->Cell(7, $height, "", 0, 0, 'C', false);   
            $this->Cell(10,$height, $c, 1, 0 , 'C', false );
            $this->Cell(30,$height, $fila["nombre"], 1, 0 , 'C', false );
            $this->Cell(30,$height, $fila["precio"], 1, 0 , 'C', false );
            $this->Cell(30,$height, $fila["stock"], 1, 0 , 'C', false );
            $this->Cell(20,$height, $fila["categoria"], 1, 0 , 'L', false );
            $this->Cell(20,$height, $fila["aula"], 1, 0 , 'L', false );
            $this->Ln(); 
                     
        }
        
    $this->Ln();
        
    }
    
  //  function datosHorizontal1($datos2){
//        
//        foreach($datos2 as $fila2)
//        {
//            $idin = $fila2["idinforme"];
//            $fe = $fila2["fecha"];
//            }
//        
//        $this->SetDrawColor(2,62,122);
//        $this->SetFillColor(0,80,161);//Fondo de celda
//        
//        $this->Cell(7,7, "", 0, 0 , 'L', false );
//        $this->Cell(30,7, "Celula: ", 0, 0 , 'R', false );
//        $this->SetTextColor(255, 255, 255); //Letra color blanco
//        $this->Cell(30,7, $fe, 1, 0 , 'R', true );
//        $this->Ln(); 
//    }
 
    //Integrando cabecera y datos en un solo mtodo
    function tablaHorizontal($datosHorizontal)
    {
       // $this->cabeceraHorizontal();
      // $this->datosHorizontal1($datosHorizontal);
        $this->datosHorizontal($datosHorizontal);
    }
    
    /** Ende Tabla **/
}
$hash = $_GET["hash"];
$esc = $_GET["esc"];

$oCelula = new Persona;
$condicion = " where IdPersona = '". $hash ."'";
$informecelula = $oCelula->Lista($condicion);
foreach($informecelula as $item5){
    $nombreli = $item5->Nombre->GetValue()." ";
    $nombreli .= $item5->ApellidoPaterno->GetValue()." ";
    $nombreli .= $item5->ApellidoMaterno->GetValue();
    $ci = $item5->Ci->GetValue();
}



$operesc = new PersonaEscuela;
$condicion = " where IdPersona = '". $hash ."'";
$in = $operesc->ListaPersonaEscuela($condicion);
foreach($in as $item6){
    $cel = $item6->Celula->GetValue()." ";

}







// Lider de Celula
$oescuela = new Escuela;
$condicionp = " where IdEscuela = '". $esc ."'";
$lista = $oescuela->Lista($condicionp);


$datos  = array();
foreach($lista as $item){
    
    $nombre = $item->Nombre->GetValue();
    $precio = $item->Dia->GetValue();
    $stock  = $item->Hora->GetValue();
    $categoria = $item->Lugar->GetValue();
    $aula = $item->Aula->GetValue();
    $tipo = $item->TipoEscuela->GetValue();

    $fila = array("nombre" => $nombre, 
                  "precio" => $precio, 
                  "stock" => $stock,
                  "categoria" => $categoria,
                  "aula" => $aula);
    $datos[] = $fila;
}

$oTiescuela = new TipoEscuela;
$condicionte = " where IdTipoEscuela = '". $tipo ."'";
$listate = $oTiescuela->Lista($condicionte);


foreach($listate as $item4){
    $nombreescuela = $item4->Nombre->GetValue();
}

// Creacin del objeto de la clase heredada
$pdf = new PDF("P", "mm", "letter");
$pdf->SetTitulo("Boleta de Inscripcion");
//$pdf->SetSubTitulo("Gestin: " . date("Y"));
$pdf->SetSubTitulo("Escuela de  ".  "$nombreescuela");


$pdf->AliasNbPages();
$pdf->AddPage();
          
$pdf->SetFont('Arial','B',10);


$pdf->SetDrawColor(119,119,119);
 $pdf->SetTextColor(0,0,0);
 $pdf->Cell(7,7, "", 0, 0 , 'L', false );
        $pdf->Cell(30,7, "Estudiante: ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(97,7, "$nombreli", 1, 0 , 'L', false );
        $pdf->Ln(); 




$pdf->SetTextColor(0, 0, 0);

$pdf->SetDrawColor(119,119,119);
//$pdf->SetTextColor(0,0,0);


 $pdf->Cell(7,7, "", 0, 0 , 'L', false );
        $pdf->Cell(30,7, "Codigo: ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(30,7, "$ci", 1, 0 , 'R', false );
        $pdf->Ln(); 
 $pdf->SetDrawColor(119,119,119);
 $pdf->SetTextColor(0,0,0);
 $pdf->Cell(7,7, "", 0, 0 , 'L', false );
        $pdf->Cell(30,7, "Celula : ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(30,7, "$cel", 1, 0 , 'R', false );
        $pdf->Ln(); 
        $pdf->Ln();
//  $pdf->SetDrawColor(119,119,119);
// $pdf->SetTextColor(0,0,0);
// $pdf->Cell(70,7, "", 0, 0 , 'L', false );
//        $pdf->Cell(30,7, "Escuela ", 0, 0 , 'L', false );
//         $pdf->Ln();
          
        

 
        
        
 

//$pdf->Cell(0,7, "$fecha", 0, 0 , 'C' );
//$pdf->Ln(10);
//$pdf->tablaHorizontal($datos2);
$pdf->SetFont('Arial','',12);
if (count($datos)>0){
    
    $pdf->tablaHorizontal($datos);
    $posY = $pdf->GetY() + 10;
    //$pdf->Line(50, $posY, 150, $posY);
    $pdf->Ln(10);
   // $firmante = "$nombreli";
   // $pdf->Cell(0, 7, $firmante, 0,0, 'C', false);
}else{
    $pdf->Cell(0,8, 'No se ha encontrado ningn detalle de la asistencia de la reunion', 0, 0, 'C');
}

$pdf->Output("", "Boleta.pdf");

?>