<?php

/**
 * @author joker
 * @copyright 2018
 */


date_default_timezone_set("America/La_Paz");
 
require_once("model/Persona.cls");
require_once("model/PersonaRetiro.cls");
require_once("model/Retiro.cls");


require_once("control/lib/fpdf.php");

//$oUtil = new Util;


class PDF extends FPDF
{
    // Cabecera de pgina
    public $titulo;
    public $subtitulo;
    public $subtitulo2;

    function SetTitulo($_titulo){
        $this->titulo= $_titulo;
    }
    function SetSubTitulo($_subtitulo){
        $this->subtitulo= $_subtitulo;
    }
    function SetSubTitulo2($_subtitulo){
        $this->subtitulo2= $_subtitulo;
    }

    function GetTitulo(){
        return $this->titulo;
    }
    function GetSubTitulo(){
        return $this->subtitulo;
    }
    function GetSubTitulo2(){
        return $this->subtitulo2;
    }

    function Header()
    {
        
        // Logo
        $this->Image('view/img/logo.png',15,8,20);
        // Arial bold 15
        $this->SetFont('Arial','B',15); 
        $this->SetFillColor(14,120,50); //Para establecerun color de relleno
        // Width, Height, Texto, Border, 0, Align (C,L,R), relleno (bool)       
        $this->Cell(0,8, $this->GetTitulo() , 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Arial','B',10);
        $this->Cell(0,8,$this->GetSubTitulo() , 0, 0, 'C');
        $this->Ln();
        $this->SetFont('Arial','B',15);
        $this->Cell(0,8, $this->GetSubTitulo2(), 0, 0, 'C');
        $this->Ln();
        
        $nroPag = $this->PageNo();
        if ($nroPag > 1){
            
            $this->cabeceraHorizontal(); 
        }
        
        
        //Put the watermark for Horizontal Page
        $this->SetFont('Arial','B',50);
        $this->SetTextColor(234,207,221);
        $this->RotatedText(55,160,'Sistema de Gestin',45);
        
        $this->SetFont('Arial','B',40);
        $this->SetTextColor(234,207,221);
        $this->RotatedText(105,160,'La Cosecha',45);
    }
    
    // Pie de pgina
    function Footer()
    {
        // Posicin: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial','I',8);
        // Nmero de pgina
        $this->SetTextColor(128,128,128);
        $totalPaginas = "{nb}";
        $this->Cell(0,10,'Pgina '. $this->PageNo() . ' de ' . $totalPaginas, 0,0,'C');
    }
    
    /** Init Rotator **/
    var $angle=0;
    function Rotate($angle,$x=-1,$y=-1)
    {
        if($x==-1)
            $x=$this->x;
        if($y==-1)
            $y=$this->y;
        if($this->angle!=0)
            $this->_out('Q');
        $this->angle=$angle;
        if($angle!=0)
        {
            $angle*=M_PI/180;
            $c=cos($angle);
            $s=sin($angle);
            $cx=$x*$this->k;
            $cy=($this->h-$y)*$this->k;
            $this->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm',$c,$s,-$s,$c,$cx,$cy,-$cx,-$cy));
        }
    }
    
    function _endpage()
    {
        if($this->angle!=0)
        {
            $this->angle=0;
            $this->_out('Q');
        }
        parent::_endpage();
    }
    /** Ende Rotator **/
    
    function RotatedText($x,$y,$txt,$angle)
    {
        //Text rotated around its origin
        $this->Rotate($angle,$x,$y);
        $this->Text($x,$y,$txt);
        $this->Rotate(0);
    }
    
    function RotatedImage($file,$x,$y,$w,$h,$angle)
    {
        //Image rotated around its upper-left corner
        $this->Rotate($angle,$x,$y);
        $this->Image($file,$x,$y,$w,$h);
        $this->Rotate(0);
    }
    
    /** Init Tabla **/
    function cabeceraHorizontal()
    {
        //$this->SetXY(10, 10);
        $this->SetFont('Arial','B',10);
        
        $this->SetDrawColor(112,7,59);
        $this->SetFillColor(112,7,59);//Fondo de celda
        $this->SetTextColor(255, 255, 255); //Letra color blanco
        
        $this->Cell(20,7, '', 0, 0 , 'C' );
        $this->Cell(10,7, 'Nro', 1, 0 , 'C', true );
        $this->Cell(50,7, 'Nombre', 1, 0 , 'C', true );
		$this->Cell(40,7, 'Apellido Paterno', 1, 0 , 'C', true );
        $this->Cell(40,7, 'Apellido Materno', 1, 0 , 'C', true );
        $this->Cell(20,7, 'Nro Cdula', 1, 0 , 'C', true );
        $this->Ln();      
        //$this->Cell(24,7, 'Monto', 1, 20 , 'L', true );
    }
 
    function datosHorizontal($datos)
    {
        //$this->SetXY(10,17);
        $this->SetFont('Arial','',10);
        //Siendo un array tipo: $datos => $fila
        //Significa que $datos tiene 'nombre' 'apellido' 'matricula'
        //$fila tiene cada valor de los antes mencionados
        
        $this->SetDrawColor(2,62,122);
        $this->SetTextColor(0,0,0);//Fondo verde de celda
        
        $c = 0;
        foreach($datos as $fila)
        {
            $c++;
            $this->SetDrawColor(119,119,119);
            $this->SetTextColor(0,0,0);
            
            $height = 7;
            	           
            $this->Cell(20, $height, "", 0, 0, 'C', false);   
            $this->Cell(10,$height, $c, 1, 0 , 'C', false );
            $this->Cell(50,$height, $fila["nombre"], 1, 0 , 'L', false );
            $this->Cell(40,$height, $fila["precio"], 1, 0 , 'L', false );
            $this->Cell(40,$height, $fila["stock"], 1, 0 , 'L', false );
            $this->Cell(20,$height, $fila["categoria"], 1, 0 , 'L', false );
            $this->Ln();            
        }
        
    }
 
    //Integrando cabecera y datos en un solo mtodo
    function tablaHorizontal($datosHorizontal)
    {
        $this->cabeceraHorizontal();
        $this->datosHorizontal($datosHorizontal);
    }
    
    /** Ende Tabla **/
}
$oRetiro = new Retiro;


$condicion = " where IdRetiro = '". $re ."'";
$listaretiro = $oRetiro->Lista($condicion);

foreach($listaretiro as $Cargo){
   
    $nombrere = $Cargo->Nombre->GetValue();
}

$oRN_Producto = new Persona;

 $a= date("Y");
if($op == 'R') {
   

  
    $lista = $oRN_Producto->ListaPersonaretiroreport($re);
}


//$lista = $oRN_Producto->ListaPersonaretiroreport($idretiro);

$datos  = array();
foreach($lista as $item){
    
    $nombre = $item->Nombre->GetValue();
    $precio = $item->ApellidoPaterno->GetValue();
    $stock  = $item->ApellidoMaterno->GetValue();
    $categoria = $item->Ci->GetValue();

    $fila = array("nombre" => $nombre, 
                  "precio" => $precio, 
                  "stock" => $stock,
                  "categoria" => $categoria);
    $datos[] = $fila;
}

// Creacin del objeto de la clase heredada
$pdf = new PDF("P", "mm", "letter");
$pdf->SetTitulo("RETIRO");
$pdf->SetSubTitulo("$nombrere" );

$pdf->AliasNbPages();
$pdf->AddPage();
          
$pdf->SetFont('Arial','B',10);
$pdf->SetTextColor(0, 0, 0);
//$pdf->Cell(0,7, 'DETALLE', 0, 0 , 'C' );
//$pdf->Ln(10);

$pdf->SetFont('Arial','',12);
if (count($datos)>0){
    $pdf->tablaHorizontal($datos);
    //$posY = $pdf->GetY() + 10;
//    $pdf->Line(50, $posY, 150, $posY);
//    $pdf->Ln(10);
//    $firmante = "Rodrigo Tola";
//    $pdf->Cell(0, 7, $firmante, 0,0, 'C', false);
}else{
    $pdf->Cell(0,8, 'No se ha encontrado ningn dato', 0, 0, 'C');
}

$pdf->Output("", "Reporte Retiro.pdf");

?>