<?php

/**
 * @author joker
 * @copyright 2018
 */


date_default_timezone_set("America/La_Paz");
 
require_once("model/Persona.cls");
require_once("model/InformeCelula.cls");
require_once("model/AsistenciaCelula.cls");
require_once("model/Celula.cls");
require_once("model/TipoCelula.cls");
require_once("model/Deuda.cls");
require_once("model/Egreso.cls");

require_once("control/lib/fpdf.php");

//$oUtil = new Util;


class PDF extends FPDF
{
    // Cabecera de pgina
    public $titulo;
    public $subtitulo;
    public $subtitulo2;

    function SetTitulo($_titulo){
        $this->titulo= $_titulo;
    }
    function SetSubTitulo($_subtitulo){
        $this->subtitulo= $_subtitulo;
    }
    function SetSubTitulo2($_subtitulo){
        $this->subtitulo2= $_subtitulo;
    }

    function GetTitulo(){
        return $this->titulo;
    }
    function GetSubTitulo(){
        return $this->subtitulo;
    }
    function GetSubTitulo2(){
        return $this->subtitulo2;
    }

    function Header()
    {
        
        // Logo
       // $this->Image('view/img/cosecha.png',15,8,20);
        // Arial bold 15
        $this->SetFont('Arial','B',10); 
        $this->SetFillColor(14,120,50); //Para establecerun color de relleno
        // Width, Height, Texto, Border, 0, Align (C,L,R), relleno (bool)       
        $this->Cell(0,8, $this->GetTitulo() , 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Arial','B',10);
        $this->Cell(0,8,$this->GetSubTitulo() , 0, 0, 'C');
        $this->Ln();
     //   $this->SetFont('Arial','B',15);
//        $this->Cell(0,8, $this->GetSubTitulo2(), 0, 0, 'C');
//        $this->Ln();
        
        $nroPag = $this->PageNo();
        if ($nroPag > 1){
            
            $this->cabeceraHorizontal(); 
        }
        
        
        //Put the watermark for Horizontal Page
        $this->SetFont('Arial','B',50);
        $this->SetTextColor(207,225,244);
        $this->RotatedText(55,160,'Sistema de Gestin',45);
        
        $this->SetFont('Arial','B',40);
        $this->SetTextColor(207,225,244);
        $this->RotatedText(105,160,'La Cosecha',45);
    }
    
    // Pie de pgina
    function Footer()
    {
        // Posicin: a 1,5 cm del final
        $this->SetY(-15);
        // Arial italic 8
        $this->SetFont('Arial','I',8);
        // Nmero de pgina
       // $this->SetTextColor(128,128,128);
        //$totalPaginas = "{nb}";
        //$this->Cell(0,10,'Pgina '. $this->PageNo() . ' de ' . $totalPaginas, 0,0,'C');
    }
    
    /** Init Rotator **/
    var $angle=0;
    function Rotate($angle,$x=-1,$y=-1)
    {
        if($x==-1)
            $x=$this->x;
        if($y==-1)
            $y=$this->y;
        if($this->angle!=0)
            $this->_out('Q');
        $this->angle=$angle;
        if($angle!=0)
        {
            $angle*=M_PI/180;
            $c=cos($angle);
            $s=sin($angle);
            $cx=$x*$this->k;
            $cy=($this->h-$y)*$this->k;
            $this->_out(sprintf('q %.5F %.5F %.5F %.5F %.2F %.2F cm 1 0 0 1 %.2F %.2F cm',$c,$s,-$s,$c,$cx,$cy,-$cx,-$cy));
        }
    }
    
    function _endpage()
    {
        if($this->angle!=0)
        {
            $this->angle=0;
            $this->_out('Q');
        }
        parent::_endpage();
    }
    /** Ende Rotator **/
    
    function RotatedText($x,$y,$txt,$angle)
    {
        //Text rotated around its origin
        $this->Rotate($angle,$x,$y);
        $this->Text($x,$y,$txt);
        $this->Rotate(0);
    }
    
    function RotatedImage($file,$x,$y,$w,$h,$angle)
    {
        //Image rotated around its upper-left corner
        $this->Rotate($angle,$x,$y);
        $this->Image($file,$x,$y,$w,$h);
        $this->Rotate(0);
    }
    
    /** Init Tabla **/
    function cabeceraHorizontal()
    {
        //$this->SetXY(10, 10);
        $this->SetFont('Arial','B',10);
        
        //$this->SetDrawColor(2,62,122);
       // $this->SetFillColor(0,80,161);//Fondo de celda
        //$this->SetTextColor(255, 255, 255); //Letra color blanco
        
        
        $pdf->SetDrawColor(119,119,119);
        $pdf->SetTextColor(0,0,0);
             $this->Cell(80,7, '----------------------', 0, 0 , 'C' );
        $this->Cell(7,7, '', 0, 0 , 'C' );
        $this->Cell(10,7, 'Nro', 1, 0 , 'C', true );
        $this->Cell(30,7, 'Nombre', 1, 0 , 'C', true );
		$this->Cell(30,7, 'Costo', 1, 0 , 'C', true );
        $this->Ln();      
        //$this->Cell(24,7, 'Monto', 1, 20 , 'L', true );
    }
 
    function datosHorizontal($datos,$op)
    {
     
          /////////////////////////////////////////  nro 
    
        $this->SetFont('Arial','B',8);
        
        //$this->SetDrawColor(2,62,122);
//        $this->SetFillColor(0,80,161);//Fondo de celda
//        $this->SetTextColor(255, 255, 255); 
         $this->SetDrawColor(119,119,119);
        $this->SetTextColor(0,0,0);
        
        //$this->Cell(7,7, '', 0, 0 , 'C' );
        //$this->Cell(8,7, 'Nro', 1, 0 , 'C', false );
        $this->Cell(50,7, 'Por concepto:', 1, 0 , 'L', false );
		//$this->Cell(18,7, 'Importe Bs.', 1, 0 , 'C', false );
        $this->Ln();      
        //$this->SetXY(10,17);
        $this->SetFont('Arial','',8);
        //Siendo un array tipo: $datos => $fila
        //Significa que $datos tiene 'nombre' 'apellido' 'matricula'
        //$fila tiene cada valor de los antes mencionados
        
        $this->SetDrawColor(2,62,122);
        $this->SetTextColor(0,0,0);//Fondo verde de celda
        
        $c = 0;
        foreach($datos as $fila)
        {
            $c++;
            $this->SetDrawColor(119,119,119);
            $this->SetTextColor(0,0,0);
            
            $height = 7;
            	           
           // $this->Cell(7, $height, "", 0, 0, 'C', false);   
            //$this->Cell(8,$height, $c, 1, 0 , 'C', false );
            $this->Cell(50,$height, $fila["nombre"], 1, 0 , 'L', false );
            //$this->Cell(18,$height, $fila["costo"], 1, 0 , 'C', false );
            $this->Ln(); 
                     
        }
         $this->SetDrawColor(119,119,119);
            $this->SetTextColor(0,0,0);
            $this->SetFont('Arial','',8);
            $height = 7;
            	           
           // $this->Cell(7, $height, "", 0, 0, 'C', false);   
            //$this->Cell(8,$height, '', 0, 0 , 'C', false );
            $this->Cell(25,$height, "La suma de: Bs.", 0, 0 , 'L', false );
            $this->Cell(18,$height, $fila["costo"], 0, 0 , 'L', false );
             $this->Ln();
//             $this->Cell(8,$height, '', 0, 0 , 'C', false );
//            $this->Cell(25,$height, "Saldo : Bs.", 0, 0 , 'L', false );
          //  if($op==1){
//                $this->Cell(18,$height, '0', 0, 0 , 'L', false );
//            }elseif($op==2){
//                $this->Cell(18,$height, $saldo, 0, 0 , 'L', false );
//            }
            
    $this->Ln();
    
            
            $this->Cell(25,$height, "Villa Ftima Av. fatima", 0, 0 , 'L', false );
       $this->Ln();
          
            	           
           // $this->Cell(7, $height, "", 0, 0, 'C', false);   
         
    
        
    }
    
  //  function datosHorizontal1($datos2){
//        
//        foreach($datos2 as $fila2)
//        {
//            $idin = $fila2["idinforme"];
//            $fe = $fila2["fecha"];
//            }
//        
//        $this->SetDrawColor(2,62,122);
//        $this->SetFillColor(0,80,161);//Fondo de celda
//        
//        $this->Cell(7,7, "", 0, 0 , 'L', false );
//        $this->Cell(30,7, "Celula: ", 0, 0 , 'R', false );
//        $this->SetTextColor(255, 255, 255); //Letra color blanco
//        $this->Cell(30,7, $fe, 1, 0 , 'R', true );
//        $this->Ln(); 
//    }
 
    //Integrando cabecera y datos en un solo mtodo
    function tablaHorizontal($datosHorizontal,$op)
    {
       // $this->cabeceraHorizontal();
      // $this->datosHorizontal1($datosHorizontal);
        $this->datosHorizontal($datosHorizontal,$op);
    }
    
    /** Ende Tabla **/
}
$hash = $_GET["hash"];
$de = $_GET["deu"];
$op = $_GET["op"];
$fe = date("Y-m-d");
$ho = date ("h:i:s");
//$hash1 = str_replace("-", "", $hash);
//$hashOriginal = strrev($hash1);
//$oCelula = new Celula;
//$condicion = " where Hash = '". $hashOriginal ."'";
//$informecelula = $oCelula->Lista($condicion);
//
//


//
//foreach($informecelula as $item3){
//    $numcelula = $item3->Nombre->GetValue();
//    $idlider = $item3->Lider->GetValue();
//    $barrio = $item3->Barrio->GetValue();
//    $calle = $item3->Calle->GetValue();
//    $nro = $item3->NumeroCasa->GetValue();
//    $fechaap = $item3->FechaInicio->GetValue();
//    $hora = $item3->Hora->GetValue();
//}
//





// Lider de Celula
//$oLider = new Persona;
//$condicionp = " where IdPersona = '". $idlider ."'";
//$liderlis = $oLider->Lista($condicionp);
//foreach($liderlis as $item5){
//    $nombreli = $item5->Nombre->GetValue()." ";
//    $nombreli .= $item5->ApellidoPaterno->GetValue()." ";
//    $nombreli .= $item5->ApellidoMaterno->GetValue();
//}
if($op==1){
    
$fecha = date("Y-m-d");
$tiem = date("H:i:s");
$oDeuda = new Deuda;

$condi = "where IdDeuda = $de";

$listad = $oDeuda->Lista($condi);

$datos  = array();
foreach($listad as $deuda){
    $ndeuda = $deuda->Nombre->GetValue();
    $cdeuda = $deuda->Costo->GetValue(); 
    $fila = array("nombre" => $ndeuda, 
                  "costo" => $cdeuda);
    $datos[] = $fila;
    
    $oRN_Producto = new Persona;

//$condicion2 = " where IdLider = '". $idlider ."'";
    $condicion2 = " where IdPersona = '". $hash ."'";
    $lista = $oRN_Producto->Lista($condicion2);


foreach($lista as $item){
    
    $nombre = $item->Nombre->GetValue()." ";
    $nombre .= $item->ApellidoPaterno->GetValue()." ";
    $nombre  .= $item->ApellidoMaterno->GetValue();
    $categoria = $item->Ci->GetValue();
    $idper = $item->IdPersona->GetValue();

    
}
   
}
$saldo=0; 
}elseif($op==2){
  //  $hash = $_GET["hash"];
$oIngreso = new Egreso;
$hash1 = str_replace("-", "", $hash);
$hashOriginal = strrev($hash1);

$condicion = " where Hash = '". $hashOriginal ."'";
$lista = $oIngreso->Lista($condicion);

$datos  = array();
foreach($lista as $ingreso){
    $idi= $ingreso->IdEgreso->GetValue();
    $ndeuda = $ingreso->Concepto->GetValue();
    $cdeuda = $ingreso->Suma->GetValue(); 
    $nombre = $ingreso->Entregue->GetValue();
    $fecha = $ingreso->Fecha->GetValue();
    //$saldo = $ingreso->Saldo->GetValue();
    $tiem = "";
    $fila = array("nombre" => $ndeuda, 
                  "costo" => $cdeuda);
    $datos[] = $fila;

}

}

// Creacin del objeto de la clase heredada
$pdf = new PDF("P", "mm", "letter");



//

;

$pdf->SetTitulo("Centro Cristiano La Cosecha");
//$pdf->SetSubTitulo("Gestin: " . date("Y"));
$pdf->SetSubTitulo("Comprobante de Egreso");


//$pdf->AliasNbPages();

          
$pdf->SetFont('Arial','B',10);
$pdf->AddPage('portrait', array(76,110));
//

$pdf->SetDrawColor(119,119,119);
 $pdf->SetTextColor(0,0,0);
 $pdf->Cell(7,7, "", 0, 0 , 'L', false );
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(15,7, "Nro: ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(30,7, "$idi", 0, 0 , 'L', false );
        $pdf->Ln(); 
        
$pdf->SetDrawColor(119,119,119);
 $pdf->SetTextColor(0,0,0);
 $pdf->Cell(7,7, "", 0, 0 , 'L', false );
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(17,7, "Entregu a: ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(30,7, "$nombre", 0, 0 , 'L', false );
        $pdf->Ln(); 

//
//
//
//$pdf->SetTextColor(0, 0, 0);
//
$pdf->SetDrawColor(119,119,119);
$pdf->SetTextColor(0,0,0);


 $pdf->Cell(7,7, "", 0, 0 , 'L', false );
        $pdf->Cell(10,7, "Fecha : ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(15,7, "$fecha", 0, 0 , 'L', false );
        
//        $pdf->Cell(10,7, "Hora : ", 0, 0 , 'L', false );
//        $pdf->SetTextColor(0, 0, 0); //Letra color negro
//        $pdf->Cell(15,7, "$tiem", 0, 0 , 'L', false );
        $pdf->Ln(); 
// $pdf->SetDrawColor(119,119,119);
// $pdf->SetTextColor(0,0,0);
// $pdf->Cell(7,7, "", 0, 0 , 'L', false );
//        $pdf->Cell(15,7, "Codigo : ", 0, 0 , 'L', false );
//        $pdf->SetTextColor(0, 0, 0); //Letra color negro
//        $pdf->Cell(30,7, "$idper", 0, 0 , 'L', false );
//        $pdf->Ln(); 
//        
//$pdf->SetTextColor(0, 0, 0);
//
//$pdf->SetDrawColor(119,119,119);
////$pdf->SetTextColor(0,0,0);
//
//
// $pdf->Cell(7,7, "", 0, 0 , 'L', false );
//        $pdf->Cell(30,7, "Calle: ", 0, 0 , 'L', false );
//        $pdf->SetTextColor(0, 0, 0); //Letra color negro
//        $pdf->Cell(30,7, "$calle", 1, 0 , 'R', false );
//     //   $pdf->Ln(); 
// $pdf->SetDrawColor(119,119,119);
// $pdf->SetTextColor(0,0,0);
// $pdf->Cell(7,7, "", 0, 0 , 'L', false );
//        $pdf->Cell(30,7, "Nro casa: ", 0, 0 , 'L', false );
//        $pdf->SetTextColor(0, 0, 0); //Letra color negro
//        $pdf->Cell(30,7, "$nro", 1, 0 , 'R', false );
//        $pdf->Ln(); 
// 
//  $pdf->SetDrawColor(119,119,119);
// $pdf->SetTextColor(0,0,0);
// $pdf->Cell(7,7, "", 0, 0 , 'L', false );
//        $pdf->Cell(30,7, "Hora Reunion: ", 0, 0 , 'L', false );
//        $pdf->SetTextColor(0, 0, 0); //Letra color negro
//        $pdf->Cell(30,7, "$hora", 1, 0 , 'R', false );
//        $pdf->Ln(); 
//        
//        
// 
// 
//        
//      
// $pdf->SetDrawColor(119,119,119);
// $pdf->SetTextColor(0,0,0);
// $pdf->Cell(70,7, "", 0, 0 , 'L', false );
//        $pdf->Cell(30,7, "Integrantes de la Celula ", 0, 0 , 'L', false );
//         $pdf->Ln();
//          $pdf->Ln();
//$pdf->Cell(0,7, "$fecha", 0, 0 , 'C' );
//$pdf->Ln(10);
//$pdf->tablaHorizontal($datos2);
$pdf->SetFont('Arial','',12);
if (count($datos)>0){
    
    $pdf->tablaHorizontal($datos,$op);
    $pdf->SetDrawColor(119,119,119);
   // $pdf->SetTextColor(0,0,0);
//     $pdf->Cell(7,7, "", 1, 0 , 'L', false );
            $pdf->SetFont('Arial','',8);
        $pdf->Cell(30,7, "Fecha/Hora Impresin: ", 0, 0 , 'L', false );
        $pdf->SetTextColor(0, 0, 0); //Letra color negro
        $pdf->Cell(25,7, "$fe"." / "."$ho", 0, 0 , 'L', false );
        $pdf->Ln(); 
      //  $posY = $pdf->GetY() + 10;
  //  $pdf->Line(50, $posY, 150, $posY);
  //  $pdf->Ln();
   // $firmante = "$nombreli";
  //  $pdf->Cell(0, 0, "firmante", 0,0, 'C', false);
}else{
    $pdf->Cell(0,8, 'No se ha encontrado ningn detalle ', 0, 0, 'C');
}

$pdf->Output("", "Comprobante-Ingreso.pdf");

?>