<?php

/**
 * @author joker
 * @copyright 2018
 */

require_once("data/db.inc");
require_once("data/Insumo.inc");

class Insumo extends DataBase
{
    function __construct()
    {
        $this->Open();
    }
    
    function Lista($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from insumo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Insumo;
                
                $osPais->IdInsumo->SetValue($item["IdInsumo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->Cantidad->SetValue($item["Cantidad"]);
                $osPais->Estado->SetValue($item["Estado"]);
                $osPais->IdTipoInsumo->SetValue($item["IdTipoInsumo"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaAjax($filtro="")
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $condicion = " where i.Nombre like '%$filtro%' ";
        $sql = "Select * from insumo i $condicion and estado = 1 ";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Insumo;
                
                $osPais->IdInsumo->SetValue($item["IdInsumo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->Cantidad->SetValue($item["Cantidad"]);
                $osPais->Estado->SetValue($item["Estado"]);
                $osPais->IdTipoInsumo->SetValue($item["IdTipoInsumo"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function ListaPag($pag, $numerreg)
    {
        //$newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from insumo where estado = 1 LIMIT $pag , $numerreg";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Insumo;
                
                $osPais->IdInsumo->SetValue($item["IdInsumo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->Cantidad->SetValue($item["Cantidad"]);
                $osPais->Estado->SetValue($item["Estado"]);
                $osPais->IdTipoInsumo->SetValue($item["IdTipoInsumo"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    function Registrosporpartes($pag, $numerreg)
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
        // $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select * from insumo where estado = 1 LIMIT $pag , $numerreg ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res2 = $this->RegistrostotalBD($res);
        
       
     
        
        return $res2;
        
    }
    
    function RegistrosListaPag($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
        // $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from insumo where estado = 1 ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res2 = $this->RegistrostotalBD($res);
        
       
     
        
        return $res2;
        
    }
    
    function ListaCargored($_condicion="")
    {
        $newCondicion = ($_condicion=="") ? "" : $_condicion."";
        $sql = "Select * from cargo $newCondicion";
        $res = $this->Execute($sql);
        $listaP = array();
        
        if($this->ContainsData($res))
        {
            $data = $this->DataListStructure($res);
            
            foreach($data as $item)
            {
                $osPais = new Structure_Cargo;
                
                $osPais->IdCargo->SetValue($item["IdCargo"]);
                $osPais->Hash->SetValue($item["Hash"]);
                $osPais->Nombre->SetValue($item["Nombre"]);
                $osPais->Descripcion->SetValue($item["Descripcion"]);
                $osPais->estado->SetValue($item["estado"]);
                
                $listaP[] = $osPais;
            }
            
        }
        return $listaP;
    }
    
    
    
    function obtnerid($_oSt_Usuario)
    {
       $hash = $_oSt_Usuario->Hash->Valor;
        $sql = "Select IdCargo
                from cargo where Hash = '$hash' ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["IdCargo"];
            }
        }
        
        return $lista;
    }
    
     function ListaInfInsReport($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "SELECT  i.Nombre, i.Descripcion, i.Cantidad, ti.Nombre as Tipo,
         ai.Tag, a.Nombre as Almacen FROM insumo i, almaceninsumo ai, tipoinsumo ti ,
          almacen a where i.IdTipoInsumo = ti.IdTipoInsumo and i.IdInsumo= ai.IdInsumo and ai.IdAlmacen= a.IdAlmacen  $sql2 ";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
        $res = $this->Execute($sql);
        
        $listaP = array();
        
        while ($file = mysql_fetch_array($res)){
        
        $fec = $file['Nombre'];
        $to = $file['Descripcion'];
        $con = $file['Cantidad'];
        $inv = $file['Tipo'];
        $mie = $file['Tag'];
        $rec = $file['Almacen'];
        $listaP[] = array("nombre" => $fec, "descripcion" => $to, "cantidad" => $con, "tipo" => $inv, "tag" => $mie , "almacen" => $rec );
            }
        return $listaP;
        
    }
    
     function obtnernombre($idcargo)
    {
       //$hash = $_oSt_Usuario->Hash->Valor;
        $sql = "select Nombre from cargo where IdCargo= $idcargo ";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["Nombre"];
            }
        }
        
        return $lista;
    }
    
     function verificarnombre($_condicion="")
    {
        
        // $sql2 =($_condicion=="")? "where estado='activo'":$_condicion."and estado='activo'";
         $sql2 =($_condicion=="")? "":$_condicion."";
        $sql = "Select *from insumo $sql2";
        $res = $this->Execute($sql);
        //$sql2 =($_condicion=="")? "where estado='Activo'":$_condicion."and estado='Activo'";
       
       // $res = $this->Execute($sql);
        
        $sw = $this->ContainsData($res);
        

        
        return $sw;
        
    }
  
    function Guardar($_osPais)
    {
        $sql = "Insert into insumo values(
                ".$_osPais->IdInsumo->getValue().",
                '".$_osPais->Hash->getValue()."',
                '".$_osPais->Nombre->getValue()."',
                '".$_osPais->Descripcion->getValue()."',
                '".$_osPais->Cantidad->getValue()."',
                 '".$_osPais->Estado->getValue()."',
                '".$_osPais->IdTipoInsumo->getValue()."'
                )";
        $res = $this->ExecuteLink($sql);
        
        if($res)
        {
            $uid= -1;
            $uid = mysqli_insert_id($res);
            $hash = sha1($uid);
            $sql2 = "Update insumo set Hash = '$hash' where IdInsumo = ".$uid;
            $res2 = $this->Execute($sql2);          
        }
        return $uid;
    }
    
    function Actualizarin($_osPais)
    {
        $sql = "Update insumo set 
                Nombre = '".$_osPais->Nombre->GetValue()."',
                Descripcion = '".$_osPais->Descripcion->GetValue()."',
                IdTipoInsumo = '".$_osPais->IdTipoInsumo->GetValue()."',
                Cantidad = '".$_osPais->Cantidad->GetValue()."'
                where IdInsumo = ".$_osPais->IdInsumo->GetValue();
        $res = $this->Execute($sql);
        return $res;   
    }
    
   
    
    
    function Eliminar($_hash)
    {
        $sql = "Update insumo set Estado='0' where hash= '".$_hash."' ";
        $res = $this->Execute($sql);
        return $res;
    }
    
    
        function obtnerultimo()
    {
       
        $sql = "select max(IdCargo) as idcargo from cargo";
        $res = $this->Execute($sql);
        
        $lista = -1;
        if ($this->ContainsData($res))
        {
            $datos = $this->DataListStructure($res);
                        
            foreach($datos as $usuario)
            {
                $lista    = $usuario["idcargo"];
            }
        }
        
        return $lista;
    }
    
}



?>